package hmggirlfront.block;

import hmggirlfront.block.tile.TileEntity_Base_Munitionsdepot;
import net.minecraft.block.state.IBlockState;
import net.minecraft.tileentity.TileEntity;
import net.minecraft.util.EnumBlockRenderType;
import net.minecraft.world.World;

public class Block_Base_Munitionsdepot extends Block_BaseBase
{

    public Block_Base_Munitionsdepot()
    {
        super();
    }

    @Override
	public TileEntity createNewTileEntity(World worldIn, int meta) {
		return new TileEntity_Base_Munitionsdepot();
	}
    
    public boolean isFullCube(IBlockState state)
    {
        return false;
    }

    /**
     * Used to determine ambient occlusion and culling when rebuilding chunks for render
     */
    public boolean isOpaqueCube(IBlockState state)
    {
        return false;
    }
    
    /**
     * The type of render function called. 3 for standard block models, 2 for TESR's, 1 for liquids, -1 is no render
     */
    public EnumBlockRenderType getRenderType(IBlockState state)
    {
        return EnumBlockRenderType.MODEL;
    }
    
    

	

}